[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSMap.KeyData

Access to data locations using key

## Declaration

Source position: fgl.pp line 287

`public property TFPSMap.KeyData[Key: Pointer] : Pointer read GetKeyData write PutKeyData; default;`

## Description

KeyData provides access to the data items, using their key value (as pointed to by AKey) as an index. When reading a non-existent key value, Nil is returned. If the key is found, a pointer to the associated data's location is returned. When writing, the key pointed to by Key is added if it was not present, and the data data is copied from the written pointer.

## See also

TFPSMap.DataSize |  | Size (in bytes) for the data associated with keys
TFPSMap.KeyData |  | Access to data locations using key
TFPSMap.Data |  | Indexed access to the locations of all data items
TFPSMap.Keys |  | Indexed access to the locations of all keys
TFPSMap.KeySize |  | Size (in bytes) for the key